Bug 9293 - WindowMaker-Terminal does not show cyrillic in utf-8
: WindowMaker-Terminal does not show cyrillic in utf-8
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/WindowMaker)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-20 23:50 by
Modified: 2007-07-16 23:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-20 23:50:26
WindowMaker terminal does not show cyrillic in utf-8 locale. It seems it does
not use proper fonts. I force the font selection. I'm not sure this is right,
but it works.
Steps to Reproduce:
1. $ more /usr/bin/WindowMaker-Terminal
2. See option WMTERMOPT (line 22)
3.
Actual Results:  
WMTERMOPT="-bg black -fg grey -fn -*-fixed-medium-*-*-*-15-*-*-*-*-*-*-*"


Expected Results:  
WMTERMOPT="-bg black -fg grey -fn -*-fixed-medium-*-*-*-15-*-*-*-*-*-iso10646-*"
------- Comment #1 From 2006-03-21 09:16:01 -------
Вообще-то это зависит от:

1. Локальных настроек xfs
2. Используемого xvt
3. Локального файла конфигурации ~/.wmterminal

WindowMaker-Terminal - это просто скрипт.
------- Comment #2 From 2006-03-26 14:47:36 -------
использовать спецификацию шрифта вида
-*-fixed-medium-*-*-*-15-*-*-*-*-*-iso10646-*
я не буду, потому чо это сломает работу в не utf-8 локалях. при -*-* нужный
шрифт выбирается в зависимости от значения LC_CTYPE, если значение не верное -
результат предсказуем.

У меня сейчас этот скрип без изменения опций работает как в локали koi8-r, так
и
в utf-8.